Security update for Linux Kernel Live Patch 3 for SLE 12 SP2

SUSE Security Update: Security update for Linux Kernel Live Patch 3 for SLE 12 SP2
Announcement ID: SUSE-SU-2017:1060-1
Rating: important
References: #1030575 #1031440 #1031481 #1031660
Affected Products:
  • SUSE Linux Enterprise Live Patching 12

  • An update that solves two vulnerabilities and has two fixes is now available.

    Description:

    This update for the Linux Kernel 4.4.21-90 fixes several issues.

    The following security bugs were fixed:

    - CVE-2017-7308: The packet_set_ring function in net/packet/af_packet.c in
    the Linux kernel did not properly validate certain block-size data,
    which allowed local users to cause a denial of service (overflow) or
    possibly have unspecified other impact via crafted system calls
    (bsc#1030575, bsc#1031660).
    - CVE-2017-7294: The vmw_surface_define_ioctl function in
    drivers/gpu/drm/vmwgfx/vmwgfx_surface.c in the Linux kernel did not
    validate addition of certain levels data, which allowed local users to
    trigger an integer overflow and out-of-bounds write, and cause a denial
    of service (system hang or crash) or possibly gain privileges, via a
    crafted ioctl call for a /dev/dri/renderD* device (bsc#1031440,
    bsc#1031481).

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Live Patching 12:
      zypper in -t patch SUSE-SLE-Live-Patching-12-2017-619=1

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Live Patching 12 (x86_64):
      • kgraft-patch-4_4_21-90-default-5-2.1

    References: